zenilib: zenilib/jni/external/freetype2/src/base/ftpatent.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
ftpatent.c File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`
`#include <FT_TRUETYPE_TAGS_H>`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_SERVICE_SFNT_H>`
`#include <FT_SERVICE_TRUETYPE_GLYF_H>`

Go to the source code of this file.

## Functions

static FT_Bool | _tt_check_patents_in_range (FT_Stream stream, FT_ULong size)
static FT_Bool | _tt_check_patents_in_table (FT_Face face, FT_ULong tag)
static FT_Bool | _tt_face_check_patents (FT_Face face)
| FT_Face_CheckTrueTypePatents (FT_Face face)
| FT_Face_SetUnpatentedHinting (FT_Face face, FT_Bool value)

## Function Documentation

static FT_Bool _tt_check_patents_in_range | ( | FT_Stream | stream,
|  | FT_ULong | size
| ) |  |

static

Definition at line 28 of file ftpatent.c.

References FT_StreamRec_::cursor, error, FALSE, FT_Bool, FT_FRAME_ENTER, FT_FRAME_EXIT, FT_UNUSED, and TRUE.

Referenced by _tt_check_patents_in_table(), and _tt_face_check_patents().

static FT_Bool _tt_check_patents_in_table | ( | FT_Face | face,
|  | FT_ULong | tag
| ) |  |

static

Definition at line 113 of file ftpatent.c.

References _tt_check_patents_in_range(), error, FALSE, FT_Bool, FT_Err_Ok, FT_FACE_FIND_SERVICE, FT_STREAM_SEEK, i, and FT_FaceRec_::stream.

Referenced by _tt_face_check_patents().

static FT_Bool _tt_face_check_patents | ( | FT_Face | face | ) |

static

Definition at line 147 of file ftpatent.c.

References _tt_check_patents_in_range(), _tt_check_patents_in_table(), error, FT_Bool, FT_FACE_FIND_SERVICE, FT_READ_SHORT, FT_READ_USHORT, FT_STREAM_SEEK, FT_STREAM_SKIP, NULL, FT_FaceRec_::num_glyphs, FT_FaceRec_::stream, TTAG_fpgm, and TTAG_prep.

Referenced by FT_Face_CheckTrueTypePatents().

FT_Face_CheckTrueTypePatents | ( | FT_Face | face | ) |

Definition at line 250 of file ftpatent.c.

References _tt_face_check_patents(), FALSE, FT_Bool, and FT_IS_SFNT.

FT_Face_SetUnpatentedHinting | ( | FT_Face | face,
|  | FT_Bool | value
| ) |  |

Definition at line 265 of file ftpatent.c.

References FALSE, FT_Bool, FT_IS_SFNT, and FT_UNUSED.